import { TypeormExtensionError } from '../../errors';
type TypeormRelationLookupErrorOptions = {
    message: string;
    relation: string;
    columns: string[];
};
export declare class EntityRelationLookupError extends TypeormExtensionError {
    /**
     * The property name of the relation.
     */
    relation: string;
    /**
     * The property names of the join columns.
     */
    columns: string[];
    constructor(options: TypeormRelationLookupErrorOptions);
    static notReferenced(relation: string, columns: string[]): EntityRelationLookupError;
    static notFound(relation: string, columns: string[]): EntityRelationLookupError;
}
export {};
