import type { ObjectLiteral } from 'rapiq';
import type { DataSource, EntityTarget } from 'typeorm';
type EntityRelationColumnsValidateOptions<T> = {
    dataSource?: DataSource;
    entityTarget: EntityTarget<T>;
};
/**
 * Validate join columns of a given entity.
 * It will look up and append the referenced entities to the input entity.
 *
 * @experimental
 * @param entity
 * @param options
 */
export declare function validateEntityJoinColumns<T extends ObjectLiteral>(entity: Partial<T>, options: EntityRelationColumnsValidateOptions<T>): Promise<Partial<T>>;
export {};
