import type { ObjectLiteral } from 'rapiq';
import type { SelectQueryBuilder } from 'typeorm';
import type { QueryPaginationApplyOptions, QueryPaginationApplyOutput } from './type';
/**
 * Apply parsed page/pagination parameter data on the db query.
 *
 * @param query
 * @param data
 */
export declare function applyQueryPaginationParseOutput<T extends ObjectLiteral = ObjectLiteral>(query: SelectQueryBuilder<T>, data: QueryPaginationApplyOutput): import("rapiq").PaginationParseOutput;
/**
 * Apply raw page/pagination parameter data on the db query.
 *
 * @param query
 * @param data
 * @param options
 */
export declare function applyQueryPagination<T extends ObjectLiteral = ObjectLiteral>(query: SelectQueryBuilder<T>, data: unknown, options?: QueryPaginationApplyOptions): QueryPaginationApplyOutput;
/**
 * Apply raw page/pagination parameter data on the db query.
 *
 * @param query
 * @param data
 * @param options
 */
export declare function applyPagination<T extends ObjectLiteral = ObjectLiteral>(query: SelectQueryBuilder<T>, data: unknown, options?: QueryPaginationApplyOptions): QueryPaginationApplyOutput;
