import { Faker } from '@faker-js/faker';
import type { SaveOptions } from 'typeorm';
import type { SeederFactoryContext } from './type';
export declare class SeederFactory<O extends Record<string, any>, Meta = unknown> {
    readonly context: SeederFactoryContext<O, Meta>;
    meta: Meta | undefined;
    protected faker: Faker | undefined;
    protected locale: string[] | undefined;
    constructor(context: SeederFactoryContext<O, Meta>);
    setMeta(value: Meta): this;
    setLocale(value: string | string[]): void;
    make(params?: Partial<O>, save?: boolean): Promise<O>;
    save(params?: Partial<O>, options?: SaveOptions): Promise<O>;
    saveMany(amount: number, params?: Partial<O>, options?: SaveOptions): Promise<O[]>;
    private resolve;
    protected useFaker(): Promise<Faker>;
}
